Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.intrahubcommons.security
Class HubDecryptionHandler

    java.lang.Object
      be.ehealth.business.intrahubcommons.security.HubDecryptionHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class HubDecryptionHandler

extends Object
implements SOAPHandler<SOAPMessageContext>

Handler that encrypt.

Constructor Summary
`HubDecryptionHandler(Crypto crypto2)`

Method Summary
`void` | `close(MessageContext context)` Close.
`Set<QName>` | `getHeaders()` Gets the headers.
`boolean` | `handleFault(SOAPMessageContext context)` Handle fault.
`boolean` | `handleMessage(SOAPMessageContext cxt)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HubDecryptionHandler

    public HubDecryptionHandler(Crypto crypto2)

Parameters:
  `crypto2` -

Method Detail

### handleMessage

    public boolean handleMessage(SOAPMessageContext cxt)

  Specified by:
    `handleMessage` in interface `Handler<SOAPMessageContext>`

### handleFault

    public boolean handleFault(SOAPMessageContext context)

  Handle fault.

  Specified by:
    `handleFault` in interface `Handler<SOAPMessageContext>`
  Parameters:
    `context` - The SOAPMessageContext
  Returns:
    true, if successful

### close

    public void close(MessageContext context)

  Close.

  Specified by:
    `close` in interface `Handler<SOAPMessageContext>`
  Parameters:
    `context` - The SOAPMessageContext

### getHeaders

    public Set<QName> getHeaders()

  Gets the headers.

  Specified by:
    `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`
  Returns:
    a `Set` containing all the headers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.